# If_Then_Else.h File Reference

`#include "ace/config-lite.h"`

Include dependency graph for If_Then_Else.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE

## Classes

struct | ACE::If_Then_Else< true, Ta, Tb >
struct | ACE::If_Then_Else< false, Ta, Tb >

## Detailed Description

`ACE::If_Then_Else` traits template based on the `IfThenElse` template described in the book "C++ Templates" by Vandevoorde and Josuttis.

Id
  If_Then_Else.h,v 4.4 2005/11/27 12:11:35 ossama Exp

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>